Summary:	SMake -- Makefile generator.
Name:		smake
Version:	1.3.2
Release:	2
Copyright:	GPL
Group:		Development/Building
URL:		ftp://ftp.ossp.org/pkg/tool/smake/
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Source0:	ftp://ftp.ossp.org/pkg/tool/smake/%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
SMake is a powerful mechanism to generate standard Makefiles out of skeleton
Makefiles which only provide the essential parts. The missing stuff gets
automatically filled in by shared include files. A great scheme to create a
huge Makefile hierarchy and to keep it consistent for the time of
development. The trick is that it merges the skeleton and the templates in
a priority-driven way. The idea is taken from X Consortiums Imake, but the
goal here is not inherited system independency, the goal is consistency and
power without the need of manually maintaining a Makefile hierarchy. 


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make prefix=${RPM_BUILD_ROOT}/%{_prefix} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc sample COPYING CREDITS ChangeLog INSTALL LICENSE README
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/sm*.1
/usr/bin/*
/usr/lib/*


%changelog
* Thu Apr 22 2010 Michael Perzl <michael@perzl.org> - 1.3.2-2
- first version for AIX V5.1 and higher
